/*
------------------------------
Onion Preferences Dialog
David Humpherys
Blur Studios
daveh@blur.com
------------------------------
*/

Rollout OnionPrefRoll "Onion Preferences"
(
	local INIFILE =  ( OnionPath  + "Onion.ini" )
	
	groupbox grp1 "UI Colors" width:130 height:100 pos:[10,10] 
	colorpicker hideCheckCol "Layer Hide:" pos:[28,30] align:#right
	--use layer color as check color 
	colorpicker activeCheckCol "Active Layer:" pos:[20,55] align:#right
	colorpicker xrefCheckCol "XRef Visible:" pos:[22,80] align:#right
	
	groupbox grp3 "Inherit On Assignment" width:130 height:100 pos:[150,10]
	checkbox use_wirecolor "Wirecolor" pos:[160,30]
	checkbox use_display "Display Settings" pos:[160,50]
	checkbox use_render "Render Settings" pos:[160,70]
	checkbox use_mb "Motion Blur Settings" pos:[160,90]

	
	groupbox grp2 "General" width:270 height:90 pos:[10,120] 
	checkbox displayXRefScene "Show XRef Scenes as a Group" pos:[20,140]
	checkbox promptOnNew "Organize After Create" pos:[20,160]
	checkbox debugMode "Debug Mode" pos:[20,180]

	button close "Close" pos:[180,215] width:100
	on close pressed do destroyDialog OnionPrefRoll 

	on OnionPrefRoll open do
	(
		hideCheckCol.color = Onion.PREF_UI_HideCheckColor
		activeCheckCol.color = Onion.PREF_UI_ActiveLayerCheckColor
		xrefCheckCol.color = Onion.PREF_UI_XRefCheckColor
		displayXRefScene.checked = Onion.PREF_DisXRScene 
		use_wirecolor.checked = Onion.PREF_Inherit_Wire
		use_display.checked = Onion.PREF_Inherit_Display 
		use_render.checked = Onion.PREF_Inherit_Render 
		use_mb.checked = Onion.PREF_Inherit_Blur
		promptOnNew.checked = Onion.PREF_PromptOnNew
		debugMode.checked = Onion.PREF_Debug_Mode
	)
	on hideCheckCol changed col do
	(
		Onion.PREF_UI_HideCheckColor = col
		setINISetting INIFile "UICOLORS" "LayerHideCheckColor" (col.r as string + "," + col.g as string + "," + col.b as string )
	)
	on activeCheckCol changed col do
	(
		Onion.PREF_UI_ActiveLayerCheckColor = col
		setINISetting INIFile "UICOLORS" "ActiveLayerCheckColor" (col.r as string + "," + col.g as string + "," + col.b as string )
	)
	on xrefCheckCol changed col do
	(
		Onion.PREF_UI_XRefCheckColor = col
		setINISetting INIFile "UICOLORS" "XRefCheckColor" (col.r as string + "," + col.g as string + "," + col.b as string )
	)
	on displayXRefScene changed state do
	(
		Onion.PREF_DisXRScene = state
		setINISetting INIFile "OPTIONS" "DisplayXRefScene" (state as string)
	)
	on use_wirecolor changed state do
	(
		Onion.PREF_Inherit_Wire = state
		setINISetting INIFile "OPTIONS" "InheritWireColor" (state as string)
	)
	on use_display changed state do
	(	
		Onion.PREF_Inherit_Display = state
		setINISetting INIFile "OPTIONS" "InheritDisplay" (state as string)
	)
	on use_render changed state do
	(
		Onion.PREF_Inherit_Render = state
		setINISetting INIFile "OPTIONS" "InheritRender" (state as string)
	)
	on use_mb changed state do
	(
		Onion.PREF_Inherit_Blur = state
		setINISetting INIFile "OPTIONS" "InheritBlur" (state as string)
	)
	on promptOnNew changed state do
	(
		Onion.PREF_PromptOnNew = state
		setINISetting INIFile "OPTIONS" "PromptNameOnNew" (state as string)
	)
	on debugMode changed state do
	(
		Onion.PREF_Debug_Mode = state
		setINISetting INIFile "OPTIONS" "DebugMode" (state as string)
	)
)
